fixed bug 30339: pg version check prevents using 9.5ahpha1
authorAsier Lostalé <asier.lostale@openbravo.com>
Fri, 10 Jul 2015 13:19:36 +0200
changeset 27081 613b06e82db5
parent 27080 c95251b3e0b5
child 27082 d486b2997ee5
fixed bug 30339: pg version check prevents using 9.5ahpha1

The check compares version with 9.1 but it took 9.5alpha1 as whole version where
alpha1 string part should be removed.

Fixed by removing textual parts of the version (this was already done for Oracle)
src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseVersionCheck.class
src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseVersionCheck.java
Binary file src-util/buildvalidation/build/classes/org/openbravo/buildvalidation/DatabaseVersionCheck.class has changed
--- a/src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseVersionCheck.java	Mon Jul 06 11:20:55 2015 +0200
+++ b/src-util/buildvalidation/src/org/openbravo/buildvalidation/DatabaseVersionCheck.java	Fri Jul 10 13:19:36 2015 +0200
@@ -45,7 +45,7 @@
     ConnectionProvider cp = getConnectionProvider();
     try {
       if (cp.getRDBMS().equalsIgnoreCase("POSTGRE")) {
-        String postgresVersion = DatabaseVersionCheckData.getPostgresVersion(cp);
+        String postgresVersion = getVersion(DatabaseVersionCheckData.getPostgresVersion(cp));
         return checkDatabaseVersion(postgresVersion, MIN_PG_VERSION, WARNING_PG_VERSIONS, POSTGRES);
       } else if (cp.getRDBMS().equalsIgnoreCase("ORACLE")) {
         String oracleVersion = getVersion(DatabaseVersionCheckData.getOracleVersion(cp));